package com.patzn.lims.staff.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.staff.entity.LmsStaffTrainRecordAttachment;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * <p>
 * 人员培训记录附件表 服务类
 * </p>
 *
 * @author patzn
 * @since 2018-07-17
 */
public interface ILmsStaffTrainRecordAttachmentService extends IBaseService<LmsStaffTrainRecordAttachment> {


    Page<LmsStaffTrainRecordAttachment> page(Page<LmsStaffTrainRecordAttachment> page, LmsStaffTrainRecordAttachment lmsStaffTrainRecordAttachment);


    List<LmsStaffTrainRecordAttachment> list(LmsStaffTrainRecordAttachment lmsStaffTrainRecordAttachment);


    boolean save(Long customerId, MultipartFile file);


    void download(Long id, HttpServletResponse response);

    LmsStaffTrainRecordAttachment saveAndUpload(MultipartFile file, String bucketName, String foldPath, Long relId, Integer type);

    boolean deleteAttachment(Long id);


}
